summaryrefslogtreecommitdiff
path: root/arch/x86/um/vdso/checkundef.sh
diff options
context:
space:
mode:
authorYuval Adam <_@yuv.al>2017-08-30 08:25:59 +0000
committerYuval Adam <_@yuv.al>2017-08-30 08:25:59 +0000
commit8e4bff4cab0ddac6060645b0715210484d02ff40 (patch)
tree3a5c3024371a04692a3a6d9974d001cdff8ebf84 /arch/x86/um/vdso/checkundef.sh
Initial file dump from open source releaseHEADmaster
Diffstat (limited to 'arch/x86/um/vdso/checkundef.sh')
-rw-r--r--arch/x86/um/vdso/checkundef.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/arch/x86/um/vdso/checkundef.sh b/arch/x86/um/vdso/checkundef.sh
new file mode 100644
index 00000000..7ee90a9b
--- /dev/null
+++ b/arch/x86/um/vdso/checkundef.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+nm="$1"
+file="$2"
+$nm "$file" | grep '^ *U' > /dev/null 2>&1
+if [ $? -eq 1 ]; then
+ exit 0
+else
+ echo "$file: undefined symbols found" >&2
+ exit 1
+fi